Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2009-2077

Overview

Vulnerability Score 4.0 4.0
CVE Id CVE-2009-2077
Last Modified 19 Jun 2009 12:00:00
Published 16 Jun 2009 03:30:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact NONE NONE
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication SINGLE_INSTANCE

CVE-2009-2077

Summary

Drupal 6.x before 6.x-2.6, a module for Drupal, allows remote authenticated users to bypass access restrictions and (1) read unpublished content from anonymous users when a view is already configured to display the content, and (2) read private content in generated queries.

Vulnerable Systems

Application

  • Angrydonuts Views 6.x-2.0

  • Angrydonuts Views 6.x-2.1

  • Angrydonuts Views 6.x-2.2

  • Angrydonuts Views 6.x-2.3

  • Angrydonuts Views 6.x-2.4

  • Angrydonuts Views 6.x-2.5

  • Angrydonuts Views 6.x-2.x


References

BID - 35304

CONFIRM - http://drupal.org/node/488082

CONFIRM - http://drupal.org/node/488068

SECUNIA - 35425


Last Updated: 27 May 2016 10:50:46